Remoção de anexo da proposta
curl --request DELETE \
--url https://api.wegly.com.br/integrations/external/proposals/{id}/attachments/{attachmentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wegly.com.br/integrations/external/proposals/{id}/attachments/{attachmentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wegly.com.br/integrations/external/proposals/{id}/attachments/{attachmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "Anexo removido com sucesso."
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Propostas
Remoção de anexo da proposta
Remove o anexo da proposta. Um documento continua existindo na biblioteca. Exige crm/proposal.update na chave e no usuário criador da chave, além de lead ou negócio aberto e não arquivado. A remoção é registrada no histórico da proposta.
DELETE
/
integrations
/
external
/
proposals
/
{id}
/
attachments
/
{attachmentId}
Remoção de anexo da proposta
Authorizations
Chave de integração com prefixo wegly_, enviada em Authorization: Bearer . Não é JWT. A chave deve estar ativa, não excluída e dentro da validade. Com allowed_domain, Origin (ou Referer na ausência de Origin) precisa informar o hostname permitido. A empresa e as permissões são obtidas pela chave.
Path Parameters
UUID da proposta.
UUID do anexo. O anexo precisa pertencer à proposta informada em id.
